shisa_principal_add(3)

NAME
shisa_principal_add - API function

SYNOPSIS
#include <shisa.h>

int shisa_principal_add(Shisa * dbh, const char * realm, const char * principal, const Shisa_principal * ph, const Shisa_key * key);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

const char * realm
    Name of realm the principal belongs in.

const char * principal
    Name of principal to add, may be NULL to indicate that the realm should be created, in which case ph and key are not used.

const Shisa_principal * ph
    Pointer to principal structure with information to store in database.

const Shisa_key * key
    Pointer to key structure with information to store in database.

DESCRIPTION
Add given information to database as PRINCIPALREALM.

RETURN VALUE
Returns SHISA_OK iff successfully added, or an error code.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.